跳转至

查询钱包交易记录概要

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-summaries
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-summaries

参数

路径参数

字段类型描述
b_id
必填
String业务线ID
wallet_code
必填
String钱包名称

查询参数

字段类型描述
coin_name
必填
String资产名称
允许值:参考支持的代币中的Coin Name (API) 列
tx_types
可选
String[]交易类型
addresses
可选
String[]地址
offset
可选
Integer默认为0
limit
可选
Integer默认为10
create_time_order
可选
Integer按创建时间排序,0表示降序,1表示升序;默认结果为降序
允许值: 0, 1
start_time
可选
Long起始时间戳(默认为0)
end_time
可选
Long结束时间戳(默认为当前时间)

响应

响应体

字段类型描述
codeInteger响应代码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject钱包详情(详见下方 data 对象详情)

data (对象)

字段类型描述
offsetInteger偏移量
limitInteger限制条数
totalInteger记录总数
listObject[]所有交易列表(详见下方 list 对象详情)

list (对象)

字段类型描述
wallet_codeString钱包ID
wallet_nameString钱包名称
chainString链名称
wallet_typeString钱包类型
允许值: MIXED_ADDRESS, SEGREGATED_ADDRESS
coin_nameString资产名称
order_noString订单ID
block_heightLong区块高度
tx_idString交易哈希
tx_typeString交易类型。
允许值:完整列表及描述请参阅交易类型。
amountDecimal交易金额
amount_strString交易金额(字符串格式)
tx_feeDecimal交易手续费
tx_fee_strString交易手续费(字符串格式)
wallet_balanceDecimal交易后钱包余额
wallet_balance_strString交易后钱包余额(字符串格式)
remark_detailString备注详情
tx_time_stampLong交易时间戳
create_time_stampLong创建时间戳
contract_addressString代币的合约地址。该值对应支持的代币列表中的 Smart Contract 字段。
token_idString仅在交易涉及 NFT 时返回;否则为 null。

响应示例

{
  "code": 0,
  "message": "",
  "successful": true,
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "wallet_code": "CHTRON5526471577",
        "wallet_name": "",
        "chain": "TRON",
        "wallet_type": "MIXED_ADDRESS",
        "coin_name": "USDTTRC",
        "order_no": "",
        "block_height": 62532917,
        "tx_id": "b8eeceef6ee8311eb799a3ba45e95b33c3a402c94e3bbb3da0df87122f97b73a",
        "tx_type": "DEPOSIT",
        "amount": 20000000,
        "amount_str": "20000000",
        "tx_fee": null,
        "tx_fee_str": null,
        "wallet_balance": 434999000,
        "wallet_balance_str": "434999000",
        "remark_detail": null,
        "tx_time_stamp": 1764035742000,
        "create_time_stamp": 1764035767000,
        "contract_address": "TE5PfGcxG7DuqFC61HQHBFBrShM64u3LDx",
        "token_id": null
      }
    ],
    "total": 1
  }
}